或阿呆のブログ

Pythonを好んで使っているプログラマです。Ruby,Perl,PowerShell,VBAなどでもたまに書いています。おバカなことが大好きです。

LinuxMint17にRubyをインストール

ちょっとしたきっかけがあって、Rubyを触ってみることに。意外とデフォルトで入っているのかと思ったら・・・。

$ruby
プログラム 'ruby' は以下のパッケージで見つかりました:
 * ruby
 * ruby1.8
次の操作を試してください: sudo apt-get install <選択したパッケージ>

結局インストールしました。

$ruby
プログラム 'ruby' は以下のパッケージで見つかりました:
 * ruby
 * ruby1.8
次の操作を試してください: sudo apt-get install <選択したパッケージ>
$sudo apt-get install ruby
[sudo] password for oneshotlife_tom: 
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
以下の特別パッケージがインストールされます:
  libruby1.9.1 libyaml-0-2 ruby1.9.1
提案パッケージ:
  ri ruby-dev ruby1.9.1-examples ri1.9.1 graphviz ruby1.9.1-dev ruby-switch
以下のパッケージが新たにインストールされます:
  libruby1.9.1 libyaml-0-2 ruby ruby1.9.1
アップグレード: 0 個、新規インストール: 4 個、削除: 0 個、保留: 320 個。
2,765 kB のアーカイブを取得する必要があります。
この操作後に追加で 13.4 MB のディスク容量が消費されます。
続行しますか? [Y/n] y
取得:1 http://archive.ubuntu.com/ubuntu/ trusty/main libyaml-0-2 i386 0.1.4-3ubuntu3 [46.4 kB]
取得:2 http://archive.ubuntu.com/ubuntu/ trusty/main ruby all 1:1.9.3.4 [5,334 B]
取得:3 http://archive.ubuntu.com/ubuntu/ trusty/main ruby1.9.1 i386 1.9.3.484-2ubuntu1 [35.6 kB]
取得:4 http://archive.ubuntu.com/ubuntu/ trusty/main libruby1.9.1 i386 1.9.3.484-2ubuntu1 [2,678 kB]
2,765 kB を 14秒 で取得しました (192 kB/s)                                     
以前に未選択のパッケージ libyaml-0-2:i386 を選択しています。
(データベースを読み込んでいます ... 現在 169038 個のファイルとディレクトリがインストールされています。)
Preparing to unpack .../libyaml-0-2_0.1.4-3ubuntu3_i386.deb ...
Unpacking libyaml-0-2:i386 (0.1.4-3ubuntu3) ...
以前に未選択のパッケージ ruby を選択しています。
Preparing to unpack .../ruby_1%3a1.9.3.4_all.deb ...
Unpacking ruby (1:1.9.3.4) ...
以前に未選択のパッケージ ruby1.9.1 を選択しています。
Preparing to unpack .../ruby1.9.1_1.9.3.484-2ubuntu1_i386.deb ...
Unpacking ruby1.9.1 (1.9.3.484-2ubuntu1) ...
以前に未選択のパッケージ libruby1.9.1 を選択しています。
Preparing to unpack .../libruby1.9.1_1.9.3.484-2ubuntu1_i386.deb ...
Unpacking libruby1.9.1 (1.9.3.484-2ubuntu1) ...
Processing triggers for man-db (2.6.7.1-1) ...
libyaml-0-2:i386 (0.1.4-3ubuntu3) を設定しています ...
ruby (1:1.9.3.4) を設定しています ...
ruby1.9.1 (1.9.3.484-2ubuntu1) を設定しています ...
libruby1.9.1 (1.9.3.484-2ubuntu1) を設定しています ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...
$ruby -v
ruby 1.9.3p484 (2013-11-22 revision 43786) [i686-linux]